import Dream from "../Dream";
import { RES } from "../modules/RES";
import { UsePreload } from "../modules/UseDecorator/usePreload";

@UsePreload({
  resList: Array.from({
    length: 10
  }, (_, i) => {
    return `http://qnpic.top/yoona${i + 2}.jpg`
  })
})
export class PreloadeTest extends Dream.RenderContainer {
  render() {
    console.log(RES.getRes('http://qnpic.top/yoona3.jpg'))
    return (
      <FYGE.Container>12312312</FYGE.Container>
    )
  }
}